Name: 		liquidwar
Version: 	5.6.5
Release: 	%mkrel 6
Summary:	Unique multiplayer wargame
License:	GPLv2+
Group:		Games/Arcade
URL: 		http://www.ufoot.org/liquidwar/v5
Source0:	http://www.ufoot.org/download/liquidwar/v5/%{version}/%{name}-%{version}.tar.gz
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Patch0:		liquidwar-5.6.5-python3.patch
Patch1:         gcc10.patch

BuildRequires:	pkgconfig(python3)
# Main allegro4 package contains dev tools
BuildRequires:	allegro4
BuildRequires:	allegro4-devel
# for buildinfo files
BuildRequires:	texinfo

%description
Liquid War is a wargame. But it is different from common wargames.

When playing Liquid War, one has to eat one's opponent. There can be from
2 to 6 players. There are no weapons, the only thing you have to do is to
move a cursor in a 2-D battlefield. This cursor is followed by your army,
which is composed by a great many little fighters. Fighters are represented
by small colored squares. All the fighters who have the same color belong
to the same team. One very often controls several thousands fighters at the
same time. And when fighters from different teams meet, they eat each
other, it is as simple as that.


%prep
%setup -q
%patch0 -p0
%patch1 -p1

# do not strip the binaries please
sed -i 's/install\(\s\+-c\)\?\s\+-s/install/g' Makefile.in

%build
%configure \
  --disable-doc-pdf \
  --disable-doc-ps \
  --disable-doc-info \
%ifnarch %ix86
  --disable-asm \
%endif
  LDFLAGS="%{ldflags} -lm"
  CFLAGS="%{optflags}"
  PYTHON="%{__python3}"

%make_build

# make docs utf-8
gzip -cd doc/info/%{name}.info.gz | \
  iconv -f ISO-8859-1 -t UTF8 > doc/info/%{name}.info
gzip -f doc/info/%{name}.info

%install
perl -pi -e 's#install_custom_texture install_icon install_gpl#install_custom_texture #' Makefile
%make_install

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

rm -rf %{buildroot}%{_datadir}/doc/liquidwar %{buildroot}%{_datadir}/pixmaps

# remove unused links
rm -rf %{buildroot}%{_bindir}

%files
%doc COPYING doc/html/*.html
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/*
%{_infodir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 5.6.5-6.mga9
+ Revision: 1836152
- Mageia 9 Mass Rebuild

* Wed Oct 21 2020 joequant <joequant> 5.6.5-5.mga8
+ Revision: 1637695
- fix build on aarch64
+ ovitters <ovitters>
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Tue Feb 25 2020 daviddavid <daviddavid> 5.6.5-3.mga8
+ Revision: 1550257
- disable doc info
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 02 2019 daviddavid <daviddavid> 5.6.5-2.mga8
+ Revision: 1426865
- port to Python 3

* Sun Mar 24 2019 zezinho <zezinho> 5.6.5-1.mga7
+ Revision: 1379922
- new version 5.6.5

* Sun Jan 27 2019 daviddavid <daviddavid> 5.6.4-16.mga7
+ Revision: 1361231
- add debian patch to build with fix*-functions in Allegro, instead of
  f*-functions, fixes conflict in glibc

* Sun Sep 23 2018 umeabot <umeabot> 5.6.4-15.mga7
+ Revision: 1299319
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 5.6.4-14.mga7
+ Revision: 1239319
- fix build on aarch64

* Fri Mar 17 2017 akien <akien> 5.6.4-13.mga6
+ Revision: 1093404
- BR allegro4 which contains necessary dev tools
- Rebuild against allegro4

* Mon Feb 15 2016 umeabot <umeabot> 5.6.4-12.mga6
+ Revision: 961281
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 daviddavid <daviddavid> 5.6.4-11.mga6
+ Revision: 892993
- do not strip debug files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 5.6.4-10.mga5
+ Revision: 749662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.6.4-9.mga5
+ Revision: 681956
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.6.4-8.mga4
+ Revision: 507506
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.6.4-7.mga3
+ Revision: 358864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 12 2011 stormi <stormi> 5.6.4-6.mga2
+ Revision: 123480
- increase release so that it's higher than in Mageia 1

* Tue Jun 14 2011 zezinho <zezinho> 5.6.4-5.mga2
+ Revision: 106024
- imported package liquidwar


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 5.6.4-5mdv2011.0
+ Revision: 612760
- the mass rebuild of 2010.1 packages

* Thu Dec 31 2009 Emmanuel Andry <eandry@mandriva.org> 5.6.4-4mdv2010.1
+ Revision: 484587
- rebuild for new allegro

* Wed May 13 2009 Samuel Verschelde <stormi@mandriva.org> 5.6.4-3mdv2010.0
+ Revision: 375480
- do not disable asm for x86
- fix Group (fix #49392)
- fix desktop file
- try to fix str fmt

  + Michael Scherer <misc@mandriva.org>
    - fix linking issue
    - disable asm to compile on x86_64

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 5.6.4-2mdv2008.1
+ Revision: 109219
- rebuild for new lzma

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 5.6.4-1mdv2008.1
+ Revision: 102741
- New version 5.6.4
- import liquidwar


* Thu Dec 01 2005 Lenny Cartier <lenny@mandriva.com> 5.6.3-1mdk
- 5.6.3

* Thu Sep 22 2005 Guillaume Bedot <littletux@zarb.org> 5.6.2-4mdk
- rebuild with allegro-4.2.0

* Mon Jul 25 2005 Olivier Blin <oblin@mandriva.com> 5.6.2-3mdk
- rebuild with allegro-testing-4.2.0

* Fri Apr 15 2005 Guillaume Bedot <littletux@zarb.org> 5.6.2-2mdk
- make it easy to build with allegro or allegro-testing.
- rebuilt with allegro-testing.
- use mkrel.

* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 5.6.2-1mdk
- 5.6.2

* Mon Jan 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 5.6.1-1mdk
- 5.6.1

* Mon Jan 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.6.0-2mdk
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- don't bzip2 icons in src.rpm
- cosmetics

* Sat Dec 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.6.0-1mdk
- 5.6.0
- remove patch merged upstream

* Tue Nov 25 2003 Michael Scherer <misc@mandrake.org> 5.5.9-5mdk
- BuildRequires texinfo
 
* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 5.5.9-4mdk 
- remove pdf and ps doc.

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 5.5.9-3mdk
- fix compile on gcc3 ( patch #0 )

* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.5.9-2mdk
- fix buildrequires thx to stefan's robot

* Sat Mar  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.5.9-1mdk
- new version

* Fri Jul 26 2002 Damien Chaumette <dchaumette@mandrakesoft.com> 5.5.6-1mdk
- version 5.5.6

* Fri Jul 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.5.3-1mdk
- 5.5.3

* Thu Jul 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.5.2-1mdk
- 5.5.2

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.5.1-1mdk
- 5.5.1

* Tue Apr 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 5.4.5-1mdk
- 5.4.5
- png icons
- spec cleanup

* Tue Oct 16 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.2-3mdk
- rebuild
- rpmlint happier

* Thu Oct  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 5.4.2-2mdk
- rebuild with current liballeg

* Mon Aug 20 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.2-1mdk
- version 5.4.2

* Wed Jul 11 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.0-2mdk
- i suck

* Tue Jul 10 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.0-1mdk
- first mandrake version (games found by our pambon)
